GraphQL / Object Interface Related Structures.| Parameter name | Required | Type | Explanation |
|---|---|---|---|
| tagName | yes | string | The name of the tag |
| classification | yes | int | The permission level of the tag: 0 private, 1 group, 2 public, 3 admin |
| groupId | no | string | Required for group tags to set group permissions |
| userId | no | string | Required for private tags to set user permissions |
| Parameter name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error information |
| result | yes | ObjectTagInfo | Detailed information about the tag |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "mutation createObjectTag { createObjectTag(input: { tagName: \"1789213\", classification: 1, groupId: \"1\" }) { errorCode errorInfo result { tagId } } }"
}'{
"data": {
"createObjectTag": {
"errorCode": "0x0",
"errorInfo": "Succ",
"result": {
"tagId": "9136a215-23c3-4c1b-87f6-2c26e251d668"
}
}
}
}